This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 443698 - screen blank after suspend/resume with 945GM and "intel" driver
screen blank after suspend/resume with 945GM and "intel" driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 17:46 EDT by Dave Mitchell
Modified: 2008-08-07 18:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 18:42:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (46.25 KB, text/plain)
2008-04-22 17:48 EDT, Dave Mitchell
no flags Details
current xorg.conf (1014 bytes, text/plain)
2008-04-22 17:49 EDT, Dave Mitchell
no flags Details

  None (edit)
Description Dave Mitchell 2008-04-22 17:46:26 EDT
Description of problem:

After resuming from a suspend, the screen is blank (although still backlit).

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.1.1-7.fc8

How reproducible:

Steps to Reproduce:
1.Suspend to memory
2.resume 

  
Actual results:

screen is blank

Expected results:

lock window

Additional info:

There is a workaround: doing Ctl-Alt-F1 then Ctl-Alt-F7 unblanks the screen;
this is not a full workaround however, as the console on Ctl-Alt-F1 remains
blank (no login prompt visible, but backlit)
Comment 1 Dave Mitchell 2008-04-22 17:48:09 EDT
Created attachment 303385 [details]
log file
Comment 2 Dave Mitchell 2008-04-22 17:49:37 EDT
Created attachment 303386 [details]
current xorg.conf
Comment 3 Juliano F. Ravasi 2008-05-05 14:03:52 EDT
I think I have the same problem here, with a laptop with an Intel 915 chipset,
with Fedora 9 preview. At first, the screen didn't turn back on, I had to add
the following line to /etc/pm/config.d/local:

DISPLAY_QUIRK_VBE_POST=true

Now, the backlit turns back on, but everything else is frozen. Ctrl-Alt-F1
doesn't work, I have to Alt-SysRq-S, U, B to reboot the notebook.
Comment 4 Bug Zapper 2008-05-14 05:58:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dave Mitchell 2008-08-07 18:42:09 EDT
I haven't seen this problem on my F8 laptop for a couple of months now, so I assume a yum update at some point made the problem go away :-)

Note You need to log in before you can comment on or make changes to this bug.